%global dlrn_nvr vmware-nsx-15.0.1.dev198-1.20210528050357.dd0e81e
%global dlrn 1
%define upstream_version 15.0.1.dev198
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{commit}}
%global commit c65f483ead52b93733377ebcbccf5199c10e38ea
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git
%{?dlrn: %global tarsources %{srcname}-%{upstream_version}}
%{!?dlrn: %global tarsources %{srcname}}


%global drv_vendor VMware
%global srcname vmware-nsx
%global docpath doc/build/html
%global service neutron
%global pyname vmware_nsx
%global rhosp 1

%global with_doc 0

Name:           python-networking-%{srcname}
Version: 15.0.1
Release: 1.20210528050357.dd0e81e%{?dist}
Summary:        %{drv_vendor} OpenStack Neutron driver

License:        ASL 2.0
# TODO: really, there are no packages on PyPI or anywhere else
URL:            https://pypi.python.org/pypi/%{srcname}
Source0: vmware-nsx-15.0.1.dev198-1.20210528050357.dd0e81e.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=dd0e81e8588a5df9a22196c6404590c1aecaec93

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  openstack-macros
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-mock >= 2.0.0
BuildRequires:  python%{pyver}-openstackdocstheme
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-tenacity
BuildRequires:  python%{pyver}-vmware-nsxlib
# Required for config file generation
BuildRequires:  python%{pyver}-debtcollector
BuildRequires:  python%{pyver}-oslo-config >= 2:5.1.0
BuildRequires:  python%{pyver}-oslo-i18n >= 3.15.3
BuildRequires:  python%{pyver}-oslo-vmware >= 2.17.0
BuildRequires:  python%{pyver}-neutron
BuildRequires:  openstack-macros

%description
This package contains %{drv_vendor} networking driver for OpenStack Neutron.

%package -n python%{pyver}-networking-%{srcname}
%{?python_provide:%python_provide python%{pyver}-networking-%{srcname}}
Summary:        %{drv_vendor} OpenStack Neutron driver
%if %{pyver} == 3
Obsoletes: python2-%{srcname} < %{version}-%{release}
%endif

%if 0%{?rhosp} == 0
Requires:       openstack-neutron-fwaas >= 1:12.0.0
Requires:       openstack-neutron-vpnaas >= 1:12.0.0
%endif
Requires:       openstack-neutron-common >= 1:12.0.0
Requires:       python%{pyver}-eventlet >= 0.24.1
Requires:       python%{pyver}-netaddr >= 0.7.18
Requires:       python%{pyver}-networking-l2gw >= 12.0.0
Requires:       python%{pyver}-networking-sfc >= 6.0.0
Requires:       python%{pyver}-neutron >= 1:13.0.0
Requires:       python%{pyver}-neutron-dynamic-routing >= 12.0.0
Requires:       python%{pyver}-neutron-lib >= 1.25.0
Requires:       python%{pyver}-openstackclient >= 3.16.0
Requires:       python%{pyver}-osc-lib >= 1.10.0
Requires:       python%{pyver}-oslo-concurrency >= 3.26.0
Requires:       python%{pyver}-oslo-config >= 2:5.2.0
Requires:       python%{pyver}-oslo-context >= 2.19.2
Requires:       python%{pyver}-oslo-db >= 4.37.0
Requires:       python%{pyver}-oslo-i18n >= 3.15.3
Requires:       python%{pyver}-oslo-log >= 3.36.0
Requires:       python%{pyver}-oslo-serialization >= 2.18.0
Requires:       python%{pyver}-oslo-service >= 1.31.0
Requires:       python%{pyver}-oslo-utils >= 3.33.0
Requires:       python%{pyver}-oslo-vmware >= 2.17.0
Requires:       python%{pyver}-pbr >= 4.0.0
Requires:       python%{pyver}-prettytable >= 0.7.2
Requires:       python%{pyver}-six >= 1.10.0
Requires:       python%{pyver}-sqlalchemy >= 1.2.0
Requires:       python%{pyver}-stevedore >= 1.20.0
Requires:       python%{pyver}-tenacity >= 4.4.0
Requires:       python%{pyver}-tooz >= 1.58.0
Requires:       python%{pyver}-vmware-nsxlib >= 12.0.0
Requires:       python%{pyver}-ovsdbapp >= 0.10.0

# Handle python2 exception
%if %{pyver} == 2
Requires:       python-decorator
Requires:       python-enum34
Requires:       python-httplib2 >= 0.9.1
%else
Requires:       python%{pyver}-decorator
Requires:       python%{pyver}-httplib2 >= 0.9.1
%endif

%description -n python%{pyver}-networking-%{srcname}
This package contains %{drv_vendor} networking driver for OpenStack Neutron.


%if 0%{?with_doc}
%package doc
Summary:        %{summary} documentation


%description doc
This package contains documentation for %{drv_vendor} networking driver for
OpenStack Neutron.
%endif

%prep
%autosetup -n %{tarsources} -S git

%py_req_cleanup


%build
%{pyver_build}

%if 0%{?with_doc}
sphinx-build-%{pyver} -b html doc/source doc/build/html
rm -rf %{docpath}/.buildinfo %{docpath}/.doctrees
%endif


%install
export PBR_VERSION=%{version}
%{pyver_install}

# Generate configuration files
PYTHONPATH=.
for file in `ls etc/oslo-config-generator/*`; do
    oslo-config-generator-%{pyver} --config-file=$file
done

# Move config files to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/%{service}/plugins/vmware
mv etc/nsx.ini.sample %{buildroot}%{_sysconfdir}/%{service}/plugins/vmware/nsx.ini

%files -n python%{pyver}-networking-%{srcname}
%license LICENSE
%{_bindir}/nsx-migration
%{_bindir}/neutron-check-nsx-config
%{_bindir}/nsxadmin
%{pyver_sitelib}/%{pyname}
%{pyver_sitelib}/%{pyname}-%{version}-*.egg-info
%dir %{_sysconfdir}/%{service}/plugins/vmware
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/vmware/*.ini


%if 0%{?with_doc}
%files doc
%license LICENSE
%doc %{docpath}
%endif

%changelog
* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-1.20210528050357.dd0e81e
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-1.20210523154720.dd0e81e
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.5278a5cgit
- Update patches

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.5278a5cgit
- Update patches
- MP2P Migration: create edge firewall section before END API

* Sun Aug 30 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f2e53e2git
- Update patches
- MP2P migration: handle orphaned SG migration

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b3bdaa7git
- Update patches
- NSX|P: silent octavia get status and statistics

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.0f6284egit
- Update patches
- NSX|V3+P: Fix validation of number of address pairs

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.401d8cbgit
- Update patches
- Remove leftover debug comments and logs

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.6665b5egit
- Update patches
- MP2P migration: Support multiple tier0 uplink ports

* Sun Aug 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3d88430git
- Update patches
- NSX|V3+P: Use elevated context on lb creation

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7ad9716git
- Update patches
- NSX|V3+P: limit number of ipv6 address pairs

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.966f14dgit
- Update patches
- MP2P migration: avoid creating duplicate resources for policy-id

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f30655agit
- Update patches
- Reduce number of logs

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.838f984git
- Update patches
- Shorten stacktrace log on locks

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.08ff6bagit
- Update patches
- NSX|V3+P: suppress logs for lb statistics

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ad01339git
- Update patches
- MP2P migration: Call rollback in the reverse order

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b5ae1a4git
- Update patches
- Skip new unsupported unittests

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.8832c6dgit
- Update patches
- MP2P migration: migrate certificates used by md proxies

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.1955d72git
- Update patches
- NSX|P: improve security rules creation performance

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.1ed59ecgit
- Update patches
- NSXV: Support session persistence with Octavia

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f868cbagit
- Update patches
- NSX|V: Add allow icmp6 multicast rules in edge firewall

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7ae1fe1git
- Update patches
- MP2P migration: select dhcp static bindings policy IDs

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cc167b2git
- Update patches
- MP2P migration: Wait for gateway firewall runtime status success

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d6a9eaegit
- Update patches
- MP2P Migration: select a working nsx node to work with

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.033949agit
- Update patches
- MP2P migration: enhance pre-migration checks

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.28bc6b7git
- Update patches
- MP2P migration: misc fixes

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7491a63git
- Update patches
- Fix broken code due to openstack updates

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.2dce86fgit
- Update patches
- MP2P migration: manually migrate edge firewall sections

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.a9f0bebgit
- Update patches
- MP2P migration: support changed configuration

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.1fc5174git
- Update patches
- MP2P migration: Fix custom switching profiles migrations

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.467f1d4git
- Update patches
- NSX|P: Fix GW validation for updated subnet

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.6992df8git
- Update patches
- NSXP: Update Octavia with object statuses

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.0d34d30git
- Update patches
- NSX|V3+P: Transalte nsxlib ServiceUnavailable exception

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.001af71git
- Update patches
- NSX|P: Fix DHCP server onfig for migrated networks

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cd20e70git
- Update patches
- NSX|P: Verify no ports before subnet deletion

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.32d6fdbgit
- Update patches
- NSX|P: Issue proper error in external network creation

* Sun Jul 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f08eef2git
- Update patches
- MP2P migration: check unsupported services pre migration

* Sun Jul 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.e779f04git
- Update patches
- MP2P migration: fix post migration code

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.2a7b46bgit
- Update patches
- NSX|P: fix syntax error in plugin

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.26da89agit
- Update patches
- NSX|P: Fix post migration segment dhcp

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.2cb0455git
- Update patches
- NSX|P: Fix certificate secret to use the correct password

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d0aea23git
- Update patches
- NSX|P: Fix listener create & update

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ac5b76bgit
- Update patches
- MP2P migration: Few fixes

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.4046e17git
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.4046e17git
- Update patches
- NSX|P: Fix handling LB member on external subnet
- NSX|P: Support update of listener with certificate

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.333c9cfgit
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.333c9cfgit
- Update patches
- MP2P migration: Add pre migration check

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d973cc2git
- Update patches
- MP2P migration: improve logging

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b78b199git
- Update patches
- MP2P migration support for LB certificates

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.fc7fae1git
- Update patches
- T2P migration

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.6470868git
- Update patches
- NSX|V: Fix init connectivity validation

* Sun Jun 21 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7cab0ebgit
- Update patches
- Fix default args in nsxadmin

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.fef7bfbgit
- Update patches
- NSX|V3+P: Fix listener creation when LB has no name
- Support custom config files in admin utilities

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.0ffb991git
- Update patches
- NSX|P: use edge nodes nsx ids for validation
- NSX|P: Remove redundent logs when updating fwaas groups

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.e752443git
- Update patches
- NSX|P: update dhcp config on segent subnet

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f6d8760git
- Update patches
- NSX|V3+P: Support ipv4 CIDR in allowed address pairs

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b98a673git
- Update patches
- NSXV: allow DHCP reply on DHCP edges
- NSXT LB: handle listener deletion failures

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.55ce51fgit
- Update patches
- NSX|P: Add validation for subnet GW

* Sun May 31 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.000602agit
- Update patches
- NSX|V3+P: Validate allowed address pairs ipv6 cidr

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7baee96git
- Update patches
- NSX|P: Support different mac format in address pairs

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.4530a81git
- Update patches
- NSX|P: support multiple loadbalancers on a router

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7b7182fgit
- Update patches
- NSX|V3+P: Fix nsx-net provider network creation

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ad221degit
- Update patches
- Fix admin utils quota issue

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c6e18efgit
- Update patches
- NSX|P: Support fip ips in FWaaS groups

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.23390b4git
- Update patches
- Fix pep8 issues

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f81b9aegit
- Update patches
- Stop using sys.exc_clear as it is not supported in python3

* Sat May 09 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.32eb803git
- Update patches
- Handle Octavia certificates properly

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.50a96ffgit
- Update patches
- NSX|P: Make sure service router exists for vlan interface

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.fc96e32git
- Update patches
- Fix Train branch tox file deps

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3af8fa4git
- Update patches
- NSX|P: Do not search for FW resources when not needed

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.faaa81agit
- Update patches
- NSX|P: Fix ipv6 subnet gateway IP

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.eee1ff4git
- Update patches

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.eee1ff4git
- Update patches
- NSX|P: Fix router interface removal

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b7bd388git
- Update patches
- Remove leftover debug lines
- NSX|P: Do not wait for realization on DHCP ports
- NSX|P: Fix port security update for network
- NSX|P: Fix dhcp migration admin utility

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b30ef52git
- Update patches
- NSX|P: Do not use special subnet rollback with policy DHCP

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.8934896git
- Update patches
- NSX|V3+P: allow network deletion in case DHCP port not found

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.daa2ff4git
- Update patches
- NSX|V: Fix SG icmp rules creation

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.761b436git
- Update patches
- Octavia: Improve callbacks for non TVD cases

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.6465159git
- Update patches
- Fix openstack client for vmware-nsx

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ffcd9d2git
- Update patches
- NSX|P: Fix trunk driver detach calls

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.e0dc366git
- Update patches
- NSX|P: Support policy DHCP v6

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9147415git
- Update patches
- NSX|P: Return False at the end of _is_overlay_net

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.4f47fe0git
- Update patches
- NSXv: use correct DFW config for LBaaS rules

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.e3f5eacgit
- Update patches
- NSX|P: Fix transactions related issues
- NSX|P: Add validation on number of segment subnets
- NSX|P: Do not use transactional apis if not supported
- NSX|P: Improve error handling for MP mdproxy port
- NSX|P Fix get_subnets for router interfaces
- NSX|V3: Fix broken unit tests

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.24b3b6cgit
- Update patches
- NSX|P: Fix mdproxy validation

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.eb19612git
- Update patches
- NSX|P: Fix segments update upon dhcp/router interfaces changes

* Sun Feb 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.31b61a6git
- Update patches
- NSX|V3+P: Fix loadbalancer delete to support error cases
- NSX|P: Fix LB listener default pool validation

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7f406c4git
- Update patches
- NSX|P: Use policy dhcp & mdproxy in plugin UT
- NSX|P: Support policy DHCP

* Thu Feb 13 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.2ab37c3git
- Update patches
- Fix broken unit tests

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.1371336git
- Update patches
- NSX|V3+P: Fix ladbalancer utility

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.653ea1fgit
- Update patches
- Merge "Handle edges with different number of tunnels" into stable/train
- Handle edges with different number of tunnels
- NSX|P: Support segment & port admin state

* Sun Feb 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.afb08fbgit
- Update patches
- Fix train branch development tox path

* Sun Jan 19 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c1b6b6cgit
- Update patches
- NSX|P: devstack cleanup router interfaces

* Mon Dec 30 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b8c5535git
- Update patches
- V2T: Handle external network mapping

* Sun Dec 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b0e447dgit
- Update patches
- Merge "Migrate octavia resources" into stable/train
- Merge "NSX|P: Do not create octavia lb vip port on NSX backend" into stable/train
- Merge "Add common code for network interfaces queries" into stable/train
- Migrate octavia resources
- NSX|P: Do not create octavia lb vip port on NSX backend
- Add common code for network interfaces queries

* Thu Dec 26 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.dcb127egit
- Update patches
- Merge "Fix availability zones unit tests" into stable/train
- NSX|V3+P: Allow external subnet updates
- Fix availability zones unit tests

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9d308d1git
- Update patches
- Merge "NSX|P: Fix loadbalancer deletion port handling" into stable/train
- Merge "NSX|V: Fix get_edges for python3" into stable/train
- NSX|P: Fix loadbalancer deletion port handling
- Merge "NSX|V: Partial support for distributed routers with FWaaS-V2" into stable/train
- NSX|V: Fix get_edges for python3
- NSX|V: Partial support for distributed routers with FWaaS-V2

* Sun Dec 22 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.dd1b69cgit
- Update patches
- NSX|V3: Fix devstack cleanup for tier0 ports

* Sun Dec 22 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.bf4324fgit
- Update patches
- NSX|P: Change order of NAT and Edge Firewall rules

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cdce7a6git
- Update patches
- Merge "NSX|P: be more careful when deleting a network" into stable/train
- NSX|P: be more careful when deleting a network

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.956e33cgit
- Update patches
- Add octavia validations to Pre-migration checks admin utility

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b220230git
- Update patches
- V2P migration: Improve config file migration

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.23a2353git
- Update patches
- Add logging in get_ports for all plugins
- Merge "NSX|P: Remove unused LBaaS method" into stable/train
- NSX|P: Remove unused LBaaS method

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.04538a7git
- Update patches
- Merge "Fix typo in Octavia driver" into stable/train
- Fix typo in Octavia driver
- NSX|P Change order of actions while deleting a port

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.53afce8git
- Update patches
- V2P migration: Improve config file migration

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.5996db0git
- Update patches
- NSXv: evaluate NAT rules correctly

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3d41c28git
- Update patches
- Merge "NSX|V: Fix distributed router validation" into stable/train
- NSX|V: Fix distributed router validation

* Sun Dec 08 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.84e3f90git
- Update patches
- NSX|P: Use policy search for getting neutron net id

* Sun Dec 08 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.1fc27c8git
- Update patches
- NSX|P: Fix TZ error message

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ea7c07bgit
- Update patches
- Merge "Fix neutron projects in requirements to match train branch" into stable/train
- Fix neutron projects in requirements to match train branch

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.1e8e549git
- Update patches
- NSX|P: Delete mdproxy port upon network deletion

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.2b16554git
- Update patches
- Fix train tox to get stable/train branch projects

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.98ad6c8git
- Update patches
- NSX|P: Use policy api for ipv6 routing global config

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.de18ebfgit
- Update patches
- NSX|P: Replace passthrough api for edge nodes with policy api

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.65a26adgit
- Update patches
- Merge "NSX|P: Use the policy lib for lb tags instread of nsxlib" into stable/train
- NSX|P: Use the policy lib for lb tags instread of nsxlib

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.a09d18cgit
- Update patches
- NSX|P: verify segment realization before creating MP md proxy

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.db38337git
- Update patches
- NSX|P: Use transactions for NAT rules create and delete

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.02030fcgit
- Update patches
- NSX|P: Use transactions for security groups and rules creation

* Sun Nov 17 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.0774ec7git
- Update patches
- Pre-migration config files generation

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d9053a8git
- Update patches
- NSX|V: Fix error handling for distributed router interface

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.07913a1git
- Update patches
- DVS: Improve port actions performance

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3d8223fgit
- Update patches
- NSX|V3+P: support removing LB listener default pool

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cc59594git
- Update patches
- NSX|V3: Fix vpnaas driver getting tier0

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ad10712git
- Update patches
- NSXV: fix router static routes for non-admin users

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.096a36cgit
- Update patches
- NSX|P: Fix typo in comment

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.12e9682git
- Update patches
- Pre-migration checks admin utility

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.269fb16git
- Update patches
- NSX|V3+P: Prevent IPv6 default router creation as static route

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.16b08d8git
- Update patches
- NSX|P: Use transactional API for router actions

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f0fe542git
- Update patches
- NSX|P: Use transactional API for port create & update

* Sun Nov 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.37d4999git
- Update patches
- Merge "Fix octavia driver unittests" into stable/train
- Fix octavia driver unittests
- Octavia driver: agent implementation

* Sun Nov 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.854af36git
- Update patches
- Merge "NSX|V3+P: Improve subnet create & update with DHCP" into stable/train
- NSX|V3+P: Improve subnet create & update with DHCP
- NSX|V3+P: Validate static routes ip version

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.091b204git
- Update patches
- NSX|P: support policy MDproxy

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ba65797git
- Update patches
- Merge "NSX|P: Fix metadata get_subnets" into stable/train
- NSX|P: Fix metadata get_subnets

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cb299cagit
- Update patches
- Merge "NSX|V: Validate SG rule remote-ip-prefix is not 0.0.0.0/x" into stable/train
- NSX|V: Validate SG rule remote-ip-prefix is not 0.0.0.0/x

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.45721b7git
- Update patches
- NSX-TVD: Copy filters dict before calling plugin

* Sun Oct 27 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c61078cgit
- Update patches
- Fix .gitreview for stable branch
- update tox for stable branch

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b26bfb5git
- Update patches
- Merge "NSX|V3+P: Fix MDProxy TZ validation"
- Merge "NSX|v+v3+p: Allow resetting port binding host"
- NSX|V3+P: Fix MDProxy TZ validation
- NSX|v+v3+p: Allow resetting port binding host

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.8f6b8a1git
- Update patches
- NSX|P: Fail network creation of mdproxy creation fails

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9ee9ed4git
- Update patches

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "NSX|V: Configurable backend security group name"
- NSX|V: Configurable backend security group name
- NSX|V3+P: Validate network TZ match the MDproxy one

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix master branch lower-constrains


